/*
 * $Id: openfile.H,v 1.3 1994/10/01 15:51:16 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1994  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _OPENFILE_H
#define _OPENFILE_H

#include "timefile.H"

/***************************************************************************/

class OpenFile:public TimeFile{
public:
  // Constructor / destructor
  OpenFile( char *path, int room );
  OpenFile( char *path, char *room );
  ~OpenFile();
};

/***************************************************************************/

#endif

/*
 * $Log: openfile.H,v $
 * Revision 1.3  1994/10/01  15:51:16  asf
 * Re-wrote it completely.  Most fo the functionality got moved into
 * the TimeFile object, and OpenFile is just a child of TimeFile.
 *
 * Revision 1.2  1994/09/27  17:10:10  asf
 * Added parent parameter to the openfile_create() function.
 * Added the openfile_parent() function.
 *
 * Revision 1.1  1994/08/25  01:08:46  asf
 * Initial revision
 *
 */
