/*
 * $Id: opt.H,v 1.2 1994/08/04 20:51:46 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1994  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _OPT_H
#define _OPT_H

class Opt{
public:
  Opt( int argc, char *argv[] );
  ~Opt();

  // Get either the parameter following the string, or the remainder of
  // the string that starts with the character
  char *get_value( char *param );
  char *get_value( char param );

private:
  int argc;
  char **argv;
};

#endif


/*
 * $Log: opt.H,v $
 * Revision 1.2  1994/08/04  20:51:46  asf
 * *** empty log message ***
 *
 * Revision 1.1  1994/07/28  19:59:27  asf
 * Initial revision
 *
 */
